Sunday, February 26, 2012

Eclipse update failure with Java 1.7

With Java 1.7, eclipse update fails stating "Comparison method violates its general contract!".
The issue is reported on this link: https://bugs.eclipse.org/bugs/show_bug.cgi?id=364735

Until developers fix the issue the stated workaround seems to work.
i.e. Adding -Djava.util.Arrays.useLegacyMergeSort=true to the eclipse.ini

eclipse.ini is in the root folder of the eclipse installation. Below is how I have added the entry and it is working for me.

eclipse.ini

No comments: